png++ 0.2.10

List of all members
png::pixel_traits< basic_rgba_pixel< T > > Struct Template Reference

Pixel traits specialization for basic_rgba_pixel. More...

`#include <rgba_pixel.hpp>`

Inheritance diagram for png::pixel_traits< basic_rgba_pixel< T > >:

## Additional Inherited Members
Public Types inherited from png::basic_pixel_traits< basic_rgba_pixel< T >, T, color_type_rgba >
typedef basic_rgba_pixel< T > | pixel_type
typedef T | component_type
Static Public Member Functions inherited from png::basic_pixel_traits< basic_rgba_pixel< T >, T, color_type_rgba >
static color_type | get_color_type ()
static int | get_channels ()
static int | get_bit_depth ()
Static Public Member Functions inherited from png::basic_alpha_pixel_traits< T >
static T | get_alpha_filler ()
| Returns the default alpha channel filler for full opacity.
Static Public Attributes inherited from png::basic_pixel_traits< basic_rgba_pixel< T >, T, color_type_rgba >
static const int | channels
static const int | bit_depth

## Detailed Description

template<typename T>
struct png::pixel_traits< basic_rgba_pixel< T > >

Pixel traits specialization for basic_rgba_pixel.

The documentation for this struct was generated from the following file:

- rgba_pixel.hpp